/**
 *  This file is part of RegCEl.
 *
 *  Copyright (c) 2012 Yunior Barceló Chávez barceloch@gmail.com
 *
 *  RegCEl is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  RegCEl is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with RegCEl.  If not, see <http://www.gnu.org/licenses/>.
 *
 **/

#ifndef GLOBAL_H
#define GLOBAL_H

#include "types.h"
#include <QDesktopServices>

// Application Properties
#define ORGANIZATION_NAME     "barceloSoftware"
#define ORGANIZATION_DOMAIN   "http://barcelo.wordpress.com"
#define AUTHOR_NAME           "Yunior Barceló Chávez"
#define AUTHOR_EMAIL          "barceloch@gmail.com"
#define APPLICATION_NAME      "RegCEl"
#define APPLICATION_NAME_LONG "Registro del Consumo Eléctrico"
#define APPLICATION_VERSION   "0.1.0"
#define APPLICATION_YEARS     "2012"
#define APPLICATION_WEB       "http://barcelo.wordpress.com/proyectos/regcel"

// Configuration Default Values
#define DEFAULT_APPLICATION_CURRENCY                    "MN"
#define DEFAULT_APPLICATION_MONEY_PRECISION             MAX_MONEY_PRECISION
#define DEFAULT_STORAGE_TYPE                            Persistence::SQLITE
#define DEFAULT_STORAGE_PATH                            QDesktopServices::storageLocation(QDesktopServices::DataLocation)
#define DEFAULT_STORAGE_DBMS_DRIVER                     "QSQLITE"
#define DEFAULT_STORAGE_DBMS_NAME                       DEFAULT_STORAGE_PATH.append("/regcel.db")
#define DEFAULT_STORAGE_DBMS_HOST                       "localhost"
#define DEFAULT_STORAGE_DBMS_PORT                       0
#define DEFAULT_STORAGE_DBMS_USER                       ""
#define DEFAULT_STORAGE_DBMS_PASS                       ""

#endif // GLOBAL_H
