/**
 *  This file is part of RegCEl.
 *
 *  Copyright (c) 2012 Yunior Barceló Chávez barceloch@gmail.com
 *
 *  RegCEl is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  RegCEl is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with RegCEl.  If not, see <http://www.gnu.org/licenses/>.
 *
 **/

#ifndef REGIST_H
#define REGIST_H
#include <QDate>
#include <QTime>
#include <QString>
#include <iostream>
#include "types.h"

namespace Model
{
    namespace Domain
    {

        //class Category;

        class Regist
        {
            friend std::ostream &operator<<(std::ostream &os, const Regist &regist);
        public:
            Regist(int id = NO_ID);

            Regist(const Regist &regist);
            ~Regist();
            Regist &operator=(const Regist &regist);

            bool operator==(const Regist &regist) const;
            bool operator!=(const Regist &regist) const;
            // SET ID
            void setId(int id);
            int id() const;
            //SET DATE
            void setDate(const QDate &date);
            const QDate &date() const;
            //SET TIME
            void setTime(const QTime &time);
            const QTime &time() const;
            //SET LECT I
            void setLectI(int lecti);
            int lecti() const;
            //SET LECT F
            void setLectF(int lectf);
            int lectf() const;
            //SET Kw/h
            void setKwh(int kwh);
            int kwh() const;
            //SET IMPORT
            void setImport(double import);
            double import() const;
            
        private:
            int _id;
            QDate _date;
            QTime _time;
            int _lecti;
            int _lectf;
            int _kwh;
            double _import;

        };
    }
}

#endif // PRODUCT_H
