/**
 *  This file is part of RegCEl.
 *
 *  Copyright (c) 2012 Yunior Barceló Chávez barceloch@gmail.com
 *
 *  RegCEl is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  RegCEl is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with RegCEl.  If not, see <http://www.gnu.org/licenses/>.
 *
 **/

#ifndef REGISTMANAGER_H
#define REGISTMANAGER_H

#include <QList>
#include "regist.h"

namespace Model
{
    namespace Management
    {
        class RegistManager
        {
        public:
            static bool create(const Model::Domain::Regist &regist);
            static bool modify(const Model::Domain::Regist &regist);
            static bool remove(int id);
            static Model::Domain::Regist *get(int id);
            static QList<Model::Domain::Regist *> *getAll();
            static int getId();
        };
    }
}

#endif // PRODUCTMANAGER_H
