/**
 *  This file is part of RegCEl.
 *
 *  Copyright (c) 2012 Yunior Barceló Chávez barceloch@gmail.com
 *
 *  RegCEl is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  RegCEl is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with RegCEl.  If not, see <http://www.gnu.org/licenses/>.
 *
 **/
#ifndef TYPES_H
#define TYPES_H

// Maximum Decimal Number used on money, tax and weight units.
#define MAX_MONEY_PRECISION  2

// Maximum Value for database port.
#define MAX_PORT 65535

// Regist Date Format
#define DATE_FORMAT "d/M/yyyy"
#define TIME_FORMAT "hh:mm ap"

// ID doesn't assigned yet.
#define NO_ID -1
#define IS_NEW(id) (id == NO_ID)

namespace View
{
       typedef enum ColumnRegistEnum
        {
            ColumnRegistId,
            ColumnRegistDate,
            ColumnRegistTime,
            ColumnRegistLectI,
            ColumnRegistLectF,
            ColumnRegistKwh,
            ColumnRegistImport,
            ColumnRegistCount
        } ColumnRegist;
}

namespace Persistence
{
    typedef enum DBMSTypeEnum
    {
        SQLITE
    } DBMSType;
}
#endif // TYPES_H



