#ifndef REGITDIALOG_H
#define REGITDIALOG_H

#include <QDialog>

QT_BEGIN_NAMESPACE
class QGroupBox;
class QLabel;
class QLineEdit;
class QCheckBox;
class QTextEdit;
class QDateEdit;
class QTimeEdit;
class QLCDNumber;
class QPushButton;
QT_END_NAMESPACE

namespace Model
{
    namespace Domain
    {
        class Regist;
    }
}

namespace View
{
    namespace Management
    {
        class RegistDialog : public QDialog
        {
            Q_OBJECT
        public:
            RegistDialog(Model::Domain::Regist *regist, QWidget *parent = 0);
            void done(int result);
        private slots:
            void on_lectiLabel_textChanged();
            void on_lectfLabel_textChanged();
            void registModified(bool modified = true);
        private:
            void createWidgets();
            void createConnections();
            void loadRegist();
            void saveRegist();
            bool isSaveable();


            QGroupBox *_newRegistGbox;

            QLabel *_lectiLabel;
            QLineEdit *_lectiLineEdit;

            QLabel *_lectfLabel;
            QLineEdit *_lectfLineEdit;

            QLabel *_dateLabel;
            QDateEdit *_dateEdit;

            QLabel *_timeLabel;
            QTimeEdit *_timeEdit;

            QLabel *_kwhLabel;
            QLineEdit *_kwhLineEdit;

            QLabel *_importLabel;
            QLineEdit *_importLineEdit;

            QPushButton *_saveButton;
            QPushButton *_cancelButton;
            Model::Domain::Regist *_regist;
        };
    }
}

#endif
