/**
 *  This file is part of RegCEl.
 *
 *  Copyright (c) 2012 Yunior Barceló Chávez barceloch@gmail.com
 *
 *  RegCEl is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  RegCEl is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with RegCEl.  If not, see <http://www.gnu.org/licenses/>.
 *
 **/

#include "regist.h"

Model::Domain::Regist::Regist(int id)
    : _id(id)
{
    _date = QDate::currentDate();
    _time = QTime::currentTime();
    _lecti = _lectf = _kwh = 0;
    _import = 0.0;
}

Model::Domain::Regist::Regist(const Regist &regist)
{
    *this = regist;
}

Model::Domain::Regist::~Regist()
{

}

Model::Domain::Regist &Model::Domain::Regist::operator=(const Model::Domain::Regist &regist)
{
    _id = regist._id;
    _date = regist._date;
    _time = regist._time;
    _lecti = regist._lecti;
    _lectf = regist._lectf;
    _kwh = regist._kwh;
    _import = regist._import;


    return *this;
}

bool Model::Domain::Regist::operator==(const Model::Domain::Regist &regist) const
{
    return _id == regist._id;
}

bool Model::Domain::Regist::operator!=(const Model::Domain::Regist &regist) const
{
    return !(*this == regist);
}

//SET ID
void Model::Domain::Regist::setId(int id)
{
    _id = id;
}

int Model::Domain::Regist::id() const
{
    return _id;
}

//SET DATE
void Model::Domain::Regist::setDate(const QDate &date)
{
    _date = date;
}

const QDate &Model::Domain::Regist::date() const
{
    return _date;
}
//SET TIME
void Model::Domain::Regist::setTime(const QTime &time)
{
    _time = time;
}

const QTime &Model::Domain::Regist::time() const
{
    return _time;
}

//SET LECT I
void Model::Domain::Regist::setLectI(int lecti)
{
    _lecti = lecti;
}

int Model::Domain::Regist::lecti() const
{
    return _lecti;
}
//SET LEC F
void Model::Domain::Regist::setLectF(int lectf)
{
    _lectf = lectf;
}

int Model::Domain::Regist::lectf() const
{
    return _lectf;
}
//SET Kw/h
void Model::Domain::Regist::setKwh(int kwh)
{
    _kwh = kwh;
}

int Model::Domain::Regist::kwh() const
{
    return _kwh;
}
//SET IMPORT
void Model::Domain::Regist::setImport(double import)
{
    _import = import;
}


double Model::Domain::Regist::import() const
{
    return _import;
}
